Subject: Re: [PATCH 1/5] backfill: add builtin boilerplate

From: Derrick Stolee <[email-masked]>
Date: Mon, 3 Feb 2025 09:38:40 -0500

On 1/16/25 12:52 PM, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
>> On Fri, Dec 06, 2024 at 08:07:14PM +0000, Derrick Stolee via GitGitGadget wrote:
>>> diff --git a/Documentation/git-backfill.txt b/Documentation/git-backfill.txt
>>> new file mode 100644
>>> index 00000000000..640144187d3
>>> --- /dev/null
>>> +++ b/Documentation/git-backfill.txt
>>> @@ -0,0 +1,23 @@
>>> +git-backfill(1)
>>> +===============
>>> +
>>> +NAME
>>> +----
>>> +git-backfill - Download missing objects in a partial clone
>>> +
>>> +
>>> +SYNOPSIS
>>> +--------
>>> +[verse]
>>> +'git backfill' [<options>]
>>
>> Ah, one thing I forgot about: this could use the new `[synopsis]` style,
>> which removes some need for formatting directives.
> 
> Yeah, I thought it was more or less simultaneous development and it
> was OK to convert after the dust settles, but it seems to predate
> the series by 3 months.
> 
> $ git show -s --format=reference 029eff9e34f 375852e20
> 029eff9e34 (doc: update the guidelines to reflect the current formatting rules, 2024-09-24)
> 375852e20f (backfill: add builtin boilerplate, 2024-12-20)
> 
> ds/backfill:Documentation/CodingGuidelines does tell us '[synopsis]'
> is available, even ;-)

Thanks. I was not aware of this new style. Will be fixed in the next version.

Thanks,
-Stolee